%define version 2.0.1
%define release 0
%define pkgname	nagios-plugins-check_writable
%define srcname    check_writable
%define _nagdir %{_prefix}/lib/nagios
%define _plugindir %{_nagdir}/plugins

Summary:   Nagios plugin that checks if one or more directories are writable
Name:      %{pkgname}
Version:   %{version}
Release:   4.1
License:   GPL
Packager:  Matteo Corti <matteo.corti@id.ethz.ch>
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source:    http://www.id.ethz.ch/people/allid_list/corti/%{srcname}-%{version}.tar.gz
BuildArch: noarch
%if 0%{?centos_version} >= 800
BuildRequires:  perl(Module::Install)
%endif
Requires: perl

%description
check_writable is a Nagios plugin that checks if one or more
directories are writable by:

- checking that the supplied directory is indeed a directory
- checking if the the filesystem permissions are OK
- creating a temporary file
- writing random data to the temporary file (and reading it back)

It return a critical status if one of the tests fails


%prep
%setup -q -n %{srcname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{_plugindir} \
    INSTALLVENDORSCRIPT=%{_plugindir}
%__make

#__perl Makefile.PL INSTALLSCRIPT=%{_plugindir} \
#        INSTALLSITEMAN3DIR=%{_mandir}/man3 \
#        INSTALLSITESCRIPT=%{_plugindir} \
#        INSTALLSCRIPT=%{_plugindir}
#__make
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/lib/perl5
rm -rf %{buildroot}%{_prefix}/%{_lib}/perl5
rm -rf %{buildroot}%{_datadir}/perl5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%dir %{_nagdir}
%dir %{_plugindir}
%attr(0755, root, root) %{_plugindir}/%{srcname}
%attr(0755, root, root) /usr/share/man/man1/%{srcname}.1.gz

%changelog
* Tue Nov 13 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 2.0.1-0
- updated to 2.0.1

* Wed Oct 31 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 2.0.0-0
- updated to 2.0.0

* Mon Sep 24 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 1.0.0-0
- first rpm package
